Subject: Re: [PATCH v8] arm64: Expose FAR_EL1 tag bits in siginfo

From: Dave Martin <[email-masked]>
Date: Tue, 23 Jun 2020 15:57:48 +0100

On Mon, Jun 22, 2020 at 07:01:34PM -0700, Peter Collingbourne wrote:
> The kernel currently clears the tag bits (i.e. bits 56-63) in the fault
> address exposed via siginfo.si_addr and sigcontext.fault_address. However,
> the tag bits may be needed by tools in order to accurately diagnose
> memory errors, such as HWASan [1] or future tools based on the Memory
> Tagging Extension (MTE).

[...]

Minor nit: Can you stop making each version of this series in-reply-to
the previous series please?  Most people don't do that, and it's giving
me weird threading in my mailbox...

Cheers
---Dave

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel